import request from '@/utils/request'

// 查询工作填报列表
export function listDeclare(query) {
  return request({
    url: '/oa/declare/list',
    method: 'get',
    params: query
  })
}

// 查询工作填报详细
export function getDeclare(formId) {
  return request({
    url: '/oa/declare/' + formId,
    method: 'get'
  })
}

// 新增工作填报
export function addDeclare(data) {
  return request({
    url: '/oa/declare',
    method: 'post',
    data: data
  })
}

// 修改工作填报
export function updateDeclare(data) {
  return request({
    url: '/oa/declare',
    method: 'put',
    data: data
  })
}

// 删除工作填报
export function delDeclare(formId) {
  return request({
    url: '/oa/declare/' + formId,
    method: 'delete'
  })
}
